import os
import sys
import shutil

FOLDER = sys.argv[1]

flist = os.listdir(FOLDER)

# FOLDERをカレントフォルダーにする
os.chdir(FOLDER)

for f in flist:
  # fがフォルダーなら以降の処理をスキップ
  if os.path.isdir(f): continue

  name = os.path.splitext(f)
  fname = name[1][1:]
  os.makedirs(fname, exist_ok=True)
  
  # 移動先のフォルダーに
  # すでに同名のファイルがあるかどうかの確認
  if os.path.isfile(os.path.join(fname, f)): 
    continue

  shutil.move(f, fname) 

