import os
import sys
import zipfile

FOLDER = sys.argv[1]

flist = os.listdir(FOLDER)

os.chdir(FOLDER) 

for d in flist:
  # dがファイルなら以降の処理をスキップ
  if os.path.isfile(d): continue

  with zipfile.ZipFile(d + '.zip', 'w', zipfile.ZIP_DEFLATED) as zipf:
    os.chdir(d)
    for folders, subs, files in os.walk('./'):
      for file in files:
        zipf.write(os.path.join(folders, file))

  os.chdir('../')

